{ config, pkgs, lib, ... }: {
  imports = [
    ./wayland.nix
    ./sddm.nix
  ];
  #services.xserver.displayManager.lightdm.enable = true;

  # nVidia is broken with 6.12 currently
  # boot.kernelPackages = pkgs.linuxPackages_6_11;

  services.xserver.enable = true;
  services.desktopManager.plasma6.enable = true;
  
  environment.plasma6.excludePackages = with pkgs.kdePackages; [
  ];

  qt = {
    enable = true;
    platformTheme = "gnome";
    style = "adwaita-dark";
  };
}
